unit ukpr;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Mask;

type
  Tfkpr = class(TForm)
    ComboBox1: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    Button1: TButton;
    Button2: TButton;
    MonthCalendar1: TMonthCalendar;
    MaskEdit1: TMaskEdit;
    Label3: TLabel;
    LabeledEdit1: TLabeledEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fkpr: Tfkpr;

implementation

{$R *.dfm}
uses dateutils, ukino, uServer;


procedure Tfkpr.Button1Click(Sender: TObject);
var t:TTime; dt:TDateTime;
    AYear, AMonth, ADay, AHour, AMinute, ASecond, AMilliSecond:word;
begin
if ComboBox1.ItemIndex<0 then
 begin
  MessageDlg('Mus bt vybrno pedstaven !',mtWarning,[mbOk],0);
  ComboBox1.SetFocus; exit;
 end;

try StrToInt(LabeledEdit1.Text)except
MessageDlg('patn cena !',mtWarning,[mbOk],0);
LabeledEdit1.SetFocus; exit;
end;

try StrToTime(MaskEdit1.Text)except
MessageDlg('patn as !',mtWarning,[mbOk],0);
MaskEdit1.SetFocus; exit;
end;

t:=strToTime(MaskEdit1.Text);
DecodeTime(t,ahour,aminute,asecond,amillisecond);
asecond:=0; amillisecond:=0;
DecodeDate(MonthCalendar1.Date,ayear,amonth,aday);

dt:=EncodeDateTime(ayear,amonth,aday,ahour,aminute,asecond,amillisecond);

if dt<now then
 if MessageDlg('Jste si jist, e byl zadn sprvn as ?',mtConfirmation,[mbYes,mbNo],0)=mrNo then
  begin MonthCalendar1.SetFocus;exit;end;


if AktKPredstaveni=nil then
 begin
  if not server.KPredstaveniPridat(AktSal^.nazev,
     ComboBox1.Items[ComboBox1.itemIndex],LabeledEdit1.Text,dt)then
   begin
    MessageDlg('Takov pedstaven ji existuje !',mtError,[mbOk],0); exit;
   end;
 end
else
 begin
  if not server.KPredstaveniUpravit(AktSal^.nazev,AktKPredstaveni^.nazev,
     ComboBox1.Items[ComboBox1.itemIndex],LabeledEdit1.Text,AktKPredstaveni^.zacatek,dt)then
   begin
    MessageDlg('Takov pedstaven ji existuje !',mtError,[mbOk],0); exit;
   end;
 end;
  
fkpr.Close;
end;


procedure Tfkpr.Button2Click(Sender: TObject);
begin
fkpr.Close;
end;


procedure Tfkpr.FormShow(Sender: TObject);
begin
server.PredstaveniVsechny(ComboBox1);

if AktKPredstaveni=nil then
 begin
  fkpr.Caption:='Pedstaven - nov';
  LabeledEdit1.Text:='';  MaskEdit1.Text:='  :  ';
  ComboBox1.ItemIndex:=-1; MonthCalendar1.Date:=now;
 end
else
 begin
  fkpr.Caption:='Pedstaven - prava';
  ComboBox1.ItemIndex:=ComboBox1.Items.IndexOf(AktKPredstaveni^.nazev);
  LabeledEdit1.Text:=AktKPredstaveni^.cena;
  MaskEdit1.Text:=TimeToStr(AktKPredstaveni^.zacatek);
  MonthCalendar1.Date:=AktKPredstaveni^.zacatek;
 end;
ComboBox1.SetFocus;
end;

end.
