unit uuziv;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  Tfuziv = class(TForm)
    LabeledEdit1: TLabeledEdit;
    LabeledEdit2: TLabeledEdit;
    CheckBox1: TCheckBox;
    Bevel1: TBevel;
    Button1: TButton;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fuziv: Tfuziv;

implementation

{$R *.dfm}
uses ukino,uServer;

procedure Tfuziv.FormShow(Sender: TObject);
begin
LabeledEdit1.SetFocus;
if AktUzivatel=nil then
 begin
  fuziv.Caption:='Uivatel - nov';
  LabeledEdit1.Text:='';
  LabeledEdit2.Text:='';
 end
else
 begin
  fuziv.Caption:='Uivatel - prava';
  LabeledEdit1.Text:=AktUzivatel^.jmeno;
  LabeledEdit2.Text:=AktUzivatel^.heslo;
  CheckBox1.Checked:=not AktUzivatel^.psat;
 end; 
end;

procedure Tfuziv.Button2Click(Sender: TObject);
begin
fuziv.Close;
end;

procedure Tfuziv.Button1Click(Sender: TObject);
var i:integer; 
begin
if length(LabeledEdit1.Text)<2 then
 begin
  MessageDlg('Pli krtk jmno !',mtWarning,[mbOK],0);
  LabeledEdit1.SetFocus; exit;
 end;

if length(LabeledEdit2.Text)<2 then
 begin
  MessageDlg('Pli krtk heslo !',mtWarning,[mbOK],0);
  LabeledEdit2.SetFocus; exit;
 end;

if (server.NepovolenyZnak(LabeledEdit1.Text))or
   (server.NepovolenyZnak(LabeledEdit2.Text))then
 begin
  MessageDlg('Jmno nebo heslo obsahuje nepovolen znaky !',mtError,[mbOk],0);
  LabeledEdit1.SetFocus; exit;
 end;

if AktUzivatel=nil then
 begin
  if not server.UzivatelPridat(LabeledEdit1.Text,LabeledEdit2.Text,
         not CheckBox1.Checked)then
   begin
    MessageDlg('Uivatel s takovm jmnem ji existuje !',mtError,[mbOk],0);
    LabeledEdit1.SetFocus; exit;
   end;
 end
else
 begin
  if not server.UzivatelUpravit(AktUzivatel^.jmeno,LabeledEdit1.Text,
        LabeledEdit2.Text,not CheckBox1.Checked)then
   begin
    MessageDlg('Uivatel s takovm jmnem ji existuje !',mtError,[mbOk],0);
    LabeledEdit1.SetFocus; exit;
   end;
 end;
fuziv.Close;
end;

procedure Tfuziv.FormClose(Sender: TObject; var Action: TCloseAction);
begin
AktUzivatel:=nil;
end;

end.
