unit uXMLpar;

interface

const MaxAtt=5;

type TAttItem=record name,value:string;end;
     TAttList=record count:byte; items:array[1..MaxAtt] of TAttItem;end;
     PTag=^TTag;
     TTag=record
           name,cont:string;att:TAttList;
           dalsi,vnoreny,nad:PTag;
          end;

function NactiSoubor(var f:Text):PTag;
procedure ZnicTag(var t:PTag);

implementation


type PPrvek=^TPrvek; TPrvek=record hodnota:string;dalsi:PPrvek;end;

const znaky=['.',',','-','_','a'..'z','A'..'Z','0'..'9'];
      ks=#0;
      KONCOVY=2; POCATECNI=0; SINGL=1; SPATNY=4; ZADNY=3;{jen text}


var buffer:string; bindex:integer; zn:char;


function CGetChar(var f:Text):char;
var ch:char;
  begin
   if (bindex>length(buffer))then
    begin
     if eof(f)then ch:=ks
      else
       begin
        buffer:='';
        repeat readln(f,buffer)until(buffer<>'')or(eof(f));
        if buffer<>'' then ch:=buffer[1]; bindex:=2;
       end;
    end
   else
    begin ch:=buffer[bindex]; bindex:=bindex+1;end;

   if ch in[#9,#13]then ch:=CGetChar(f); 

   CGetChar:=ch;
  end;

procedure PresMezery(var f:Text);
 begin while(zn=' ')and(zn<>ks)do zn:=CGetChar(f) end;



procedure K(var name:string;var fl:byte;var f:Text);
 begin
  zn:=CGetChar(f);
  while (zn in znaky)do
   begin
    name:=name+zn;
    zn:=CGetChar(f);
   end;
  PresMezery(f);
  if zn='>'then fl:=KONCOVY else fl:=SPATNY;
  if name='' then fl:=SPATNY;
 end;



function A(var att:TAttList; var f:Text):boolean;
 var r:boolean; it:TAttItem;
 begin
  r:=false; it.name:=''; it.value:='';
  while (zn in znaky)do
   begin
    it.name:=it.name+zn;
    zn:=CGetChar(f);
   end;
  PresMezery(f);
  if zn='='then
   begin
    zn:=CGetChar(f); PresMezery(f);
    if zn='"'then
     begin
      zn:=CGetChar(f);
      while (zn<>ks)and(zn<>'"')do
       begin
        it.value:=it.value+zn;
        zn:=CGetChar(f);
       end;
      if zn='"'then
       begin r:=true; zn:=CGetChar(f); PresMezery(f);end;
     end;
   end
  else
  if (zn in znaky+['/','>'])then r:=true;
  if att.count<MaxAtt then
   begin att.count:=att.count+1; att.items[att.count]:=it;end;
  A:=r; 
 end;



procedure P(var name:string;var att:TAttList;var fl:byte;var f:Text);
 var b:boolean;
 begin
  fl:=SPATNY;
  while (zn in znaky)do
   begin
    name:=name+zn;
    zn:=CGetChar(f);
   end;
  PresMezery(f);
  if zn='>'then fl:=POCATECNI
  else
  if zn in znaky then
   repeat b:=A(att,f)until(not(zn in znaky))or(not b);
  if not b then fl:=SPATNY
  else
   begin
    fl:=SPATNY;
    if zn='/'then
     begin
      zn:=CGetChar(f); PresMezery(f);if zn='>'then fl:=SINGL;
     end
    else
    if zn='>'then fl:=POCATECNI
   end;

  if name='' then fl:=SPATNY;
 end;




procedure GetTag(var f:Text;var name,cont:string; var fl:byte;var att:TAttList);
  begin
   name:=''; cont:=''; Att.count:=0; fl:=SPATNY;
   zn:=CGetChar(f);
   while (zn<>ks)and(zn<>'<')do
    begin
     cont:=cont+zn; zn:=CGetChar(f);
    end;
   if (zn=ks)then fl:=ZADNY;
   zn:=CGetChar(f);PresMezery(f);

   if zn='/' then K(name,fl,f)
   else
   if zn in znaky then P(name,att,fl,f);
  end;




procedure ZnicTag(var t:PTag);
 begin
  if t<>nil then
   begin
    ZnicTag(t^.dalsi);
    ZnicTag(t^.vnoreny);
    t^.nad:=nil;
    Dispose(t);t:=nil;
   end;
 end;



function NactiSoubor(var f:Text):PTag;
var akt,hl:PTag; dv:boolean;
    name,cont:string; fl,i:byte; att:TAttList;
    zasobnik:PPrvek;

 {zasobnik}
 procedure Push(s:string);
  var novy:PPrvek;
  begin
   New(novy);
   novy^.hodnota:=s;
   novy^.dalsi:=zasobnik;
   zasobnik:=novy;
  end;
 procedure Pop;
  var pom:PPrvek;
  begin
   if zasobnik<>nil then
    begin
     pom:=zasobnik;
     zasobnik:=zasobnik^.dalsi;
     Dispose(pom);pom:=nil;
    end;
  end;
 procedure Znic(p:PPrvek);
  begin
   if p<>nil then  begin Znic(p^.dalsi);Dispose(p);p:=nil;end;
  end;
 {end of zasobnik}

   procedure VytvorDalsiho(name,cont:string;att:TAttList);
    var pom:PTag;
    begin
     New(pom);
     pom^.name:=name; pom^.cont:=cont; pom^.att:=att;
     pom^.dalsi:=nil; pom^.vnoreny:=nil;
     if dv then begin pom^.nad:=akt;akt^.vnoreny:=pom;akt:=pom;end
           else
            if akt=nil then begin pom^.nad:=nil;hl:=pom;akt:=pom;end
            else begin pom^.nad:=akt^.nad;akt^.dalsi:=pom;akt:=pom;end;
    end;

   function PrejdiVys:boolean;
    begin
     PrejdiVys:=false;
     if (akt=nil)or(zasobnik=nil) then exit;
     if (akt^.nad=nil)and(not dv)then exit;
     if zasobnik^.hodnota<>name then exit;
     Pop;
     if not dv then akt:=akt^.nad;{kdyz neni nic mezi parovyma tagama}
     PrejdiVys:=true;
    end;


begin
NactiSoubor:=nil; akt:=nil; hl:=nil; dv:=false;{dalsi vnorit}
zasobnik:=nil;
buffer:='';bindex:=1;

repeat
 GetTag(f,name,cont,fl,att);

 if fl=ZADNY then break;
 if fl=SPATNY then begin ZnicTag(hl);Znic(zasobnik);exit;end;

 case fl of
  POCATECNI,SINGL:VytvorDalsiho(name,cont,att);
  KONCOVY:if not PrejdiVys then begin ZnicTag(hl);Znic(zasobnik);exit end;
 end;

 dv:=fl=POCATECNI;
 if dv then push(name);

until(fl in[ZADNY,SPATNY]);

if akt<>nil then
 if (akt^.nad<>nil)or(zasobnik<>nil)then
  begin ZnicTag(hl);Znic(zasobnik);exit;end;

Znic(zasobnik);
NactiSoubor:=hl;
end;

begin
buffer:=''; bindex:=1;
end.