{$A+,B-,C+,D+,E-,F-,G+,H+,I+,J-,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y+,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00100000}
{$IMAGEBASE $00400000}
{$APPTYPE GUI}
unit ukino;

interface

uses
  SysUtils, Graphics, Forms, Dialogs, Classes, Controls, ComCtrls, StdCtrls,
  ExtCtrls, Grids, ScktComp, Spin, userver, UKom;


type

  Tfkino = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    GroupBox1: TGroupBox;
    Button2: TButton;
    Button3: TButton;
    pb: TPaintBox;
    GroupBox3: TGroupBox;
    lbpred: TListBox;
    Button7: TButton;
    Button9: TButton;
    Button8: TButton;
    lzanr: TLabel;
    ldelka: TLabel;
    lpopis: TLabel;
    lpoznamka: TLabel;
    sg: TStringGrid;
    GroupBox4: TGroupBox;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    GroupBox5: TGroupBox;
    lbuziv: TListBox;
    Button13: TButton;
    Button14: TButton;
    Button15: TButton;
    GroupBox6: TGroupBox;
    Button16: TButton;
    eheslo: TEdit;
    GroupBox7: TGroupBox;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    ss: TServerSocket;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button17: TButton;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    sey: TSpinEdit;
    sex: TSpinEdit;
    GroupBox8: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    MonthCalendar1: TMonthCalendar;
    Button18: TButton;
    re: TRichEdit;
    lbsaly: TListBox;
    lbsaly2: TListBox;
    lbsaly3: TListBox;
    rgtisk: TRadioGroup;
    procedure TiskniSal(ns:string; d,m,r:word);
    procedure TiskniPredstaveni(par:TKPredstaveni);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button14Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button16Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Button15Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure lbpredClick(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure pbPaint(Sender: TObject);
    procedure pbMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button17Click(Sender: TObject);
    procedure seyChange(Sender: TObject);
    procedure ssAccept(Sender: TObject; Socket: TCustomWinSocket);
    procedure ssClientDisconnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ssClientError(Sender: TObject; Socket: TCustomWinSocket;
      ErrorEvent: TErrorEvent; var ErrorCode: Integer);
    procedure ssClientRead(Sender: TObject; Socket: TCustomWinSocket);
    procedure lbpredDblClick(Sender: TObject);
    procedure sgDblClick(Sender: TObject);
    procedure sgClick(Sender: TObject);
    procedure Button18Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure lbsalyClick(Sender: TObject);
    procedure lbsaly2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fkino: Tfkino;

  server:TServer;
  AktUzivatel:PUzivatel;
  AktPredstaveni:PPredstaveni;
  AktKPredstaveni:PKPredstaveni; AktSal:PSal;

  oznacene:PSedadlo;

  pz:boolean;{programova zmena-abych vedel, ze SpinEdity menim ja a ne uzivatel}



  
implementation

{$R *.dfm}
uses inifiles, dateutils, uvpr, ukpr, uuziv;

procedure Znicit(var u:PString);overload;{znici linearni seznam stringu}
begin
if u<>nil then
 begin
  Znicit(u^.dalsi);Dispose(u);u:=nil;
 end;
end;

procedure Znicit(var u:PSedadlo);overload;{znici linearni seznam stringu}
begin
if u<>nil then
 begin
  Znicit(u^.dalsi);Dispose(u);u:=nil;
 end;
end;


function JeOznacene(x,y:integer):boolean;
var akt:PSedadlo;
begin
result:=false;
akt:=oznacene;
while akt<>nil do
 begin
  if (akt^.x=x)and(akt^.y=y)then begin result:=true;exit;end;
  akt:=akt^.dalsi;
 end;
end;




procedure ProvedPrikaz(typ,par:string;socket:TCustomWinSocket);
var pom,a:PString; uz:PUzivatel; s1,s2,s3:string;
begin
if typ='login'then
 begin
  pom:=DekodujRadek(par);
  if not server.UzivatelExistuje(pom^.s)then   {spatne jmeno}
   begin Znicit(pom);socket.SendText('badname=\');exit;end;
  if server.UzivatelPripojen(pom^.s)then       {takovy client uz pripojen}
   begin Znicit(pom);socket.SendText('uzprip=\');exit;end;
  uz:=server.Uzivatel(pom^.s);
  if (pom^.dalsi^.s<>uz^.heslo)then        {spatne heslo}
   begin Znicit(pom);socket.SendText('badpass=\');exit;end;
  {ted ho uz muzu "prijmout"}
  socket.SendText(server.NapisSaly);
  uz^.socket:=socket; uz:=nil; Znicit(pom);
 end
else
if typ='buy'then
 begin
  if server.UzivatelMuzePsat(socket)then
   begin
    pom:=DekodujRadek(par);
    a:=pom; while a^.dalsi<>nil do a:=a^.dalsi;
    if  (server.KPredstaveniKoupit(pom^.s,pom^.dalsi^.s,
        pom^.dalsi^.dalsi^.s,StrToInt(pom^.dalsi^.dalsi^.dalsi^.dalsi^.s),
        StrToInt(pom^.dalsi^.dalsi^.dalsi^.dalsi^.dalsi^.s)))and(a^.s='1')then
     socket.SendText('buyprint='+par+'\');

    Znicit(pom);
   end
  else
   begin
    {socket.SendText('prava=\');}
   end
 end
else
if typ='unbuy'then
 begin
  if server.UzivatelMuzePsat(socket)then
   begin
    pom:=DekodujRadek(par);
    server.KPredstaveniOdkoupit(pom^.s,pom^.dalsi^.s,
    pom^.dalsi^.dalsi^.s,StrToInt(pom^.dalsi^.dalsi^.dalsi^.s),
    StrToInt(pom^.dalsi^.dalsi^.dalsi^.dalsi^.s));
    Znicit(pom);
   end
  else
   begin
    {socket.SendText('prava=\');}
   end
 end
else
if typ='sal'then
 begin
  pom:=DekodujRadek(par);
  socket.SendText(server.NapisKPVse(pom^.s));
  socket.SendText(server.NapisNeex(pom^.s));
  Znicit(pom);
 end
else
if typ='salkp'then
 begin
  pom:=DekodujRadek(par);
  s1:=pom^.s; s2:=pom^.dalsi^.s; s3:=pom^.dalsi^.dalsi^.s;
  socket.SendText(server.NapisKP(s1,s2,s3));
  Znicit(pom);
 end;

end;








{tlacitko NOVE PREDSTAVENI}
procedure Tfkino.Button7Click(Sender: TObject);
begin
AktPredstaveni:=nil;
fvpr.ShowModal;
server.PredstaveniVsechny(lbpred);
server.PredstaveniUloz;
end;

{tlacitko UPRAVIT PREDSTAVENI}
procedure Tfkino.Button8Click(Sender: TObject);
begin
if lbpred.ItemIndex<0 then
 begin
  MessageDlg('Nen vybrno dn pedstaven !',mtWarning,[mbOk],0);exit;
 end;

AktPredstaveni:=server.PredstaveniJedno(lbpred.Items[lbpred.itemindex]);
if AktPredstaveni=nil then
 begin
  MessageDlg('Vybran pedstaven nen v databzi !',mtWarning,[mbOk],0);exit;
 end;
fvpr.ShowModal;
server.PredstaveniVsechny(lbpred);
lbsaly2Click(nil);
lbpredClick(nil);
server.PredstaveniUloz;
end;




{tlacitko SMAZAT PREDSTAVENI}
procedure Tfkino.Button9Click(Sender: TObject);
begin
if lbpred.ItemIndex<0 then
 begin
  MessageDlg('Nen vybrno dn pedstaven !',mtWarning,[mbOk],0);exit;
 end;

if MessageDlg('Opravdu si pejete smazat pedstaven "'+
    lbpred.Items[lbpred.itemindex]+'" ?',mtConfirmation,[mbYes,mbNo],0)=mrNo
 then exit;

if not server.PredstaveniSmazat(lbpred.Items[lbpred.itemIndex]) then
 begin
  MessageDlg('Vybran pedstaven nen v databzi !',mtWarning,[mbOk],0);exit;
 end;
server.PredstaveniVsechny(lbpred);
lbsaly2Click(nil);
lbpredClick(nil);
server.PredstaveniUloz;
end;


{kliknuti na SEZNAM PREDSTAVENI}
procedure Tfkino.lbpredClick(Sender: TObject);
var pom:PPredstaveni;

 procedure Zkrat(p:TLabel);
  var s:string; puv,i:integer;
  begin
   puv:=length(p.Caption);
   s:=p.Caption;
   for i:=1 to length(s)do  if s[i]in[#10,#13] then s[i]:=' ';
   p.Caption:=s;
   while p.Width>230 do
    begin
     s:=lpopis.Caption; SetLength(s,length(s)-1); lpopis.Caption:=s;
    end;
   if length(p.Caption)<>puv then p.Caption:=p.Caption+' ...';
  end;

begin
if lbpred.ItemIndex<0 then exit;
pom:=server.PredstaveniJedno(lbpred.Items[lbpred.itemIndex]);
if pom<>nil then
 begin
  ldelka.Caption:=pom^.delka;
  lzanr.Caption:=pom^.zanr;
  lpoznamka.Caption:=pom^.poznamka;
  lpopis.Caption:=pom^.popis;
  Zkrat(ldelka); Zkrat(lzanr); Zkrat(lpoznamka); Zkrat(lpopis);
 end
else
 begin
  ldelka.Caption:=pom^.delka;
  lzanr.Caption:=pom^.zanr;
  lpoznamka.Caption:=pom^.poznamka;
  lpopis.Caption:=pom^.popis;
 end;

end;




{tlacitko PRIDAT KONKRETNI PREDSTAVENI}
procedure Tfkino.Button10Click(Sender: TObject);

begin
if lbsaly2.ItemIndex<0 then
 begin
  MessageDlg('Mus bt vybrn sl !',mtWarning,[mbOk],0);exit;
 end;

AktKPredstaveni:=nil; AktSal:=server.Sal(lbsaly2.Items[lbsaly2.itemIndex]);
if AktSal=nil then
 begin
  MessageDlg('Sl nebyl nalezen v databzi !',mtWarning,[mbOk],0);exit;
 end;
 
fkpr.ShowModal;
lbsaly2Click(nil);
server.SalyUloz;
end;


{tlacitko UPRAVIT KONKRETNI PREDSTAVENI}
procedure Tfkino.Button11Click(Sender: TObject);
begin
if lbsaly2.ItemIndex<0 then
 begin
  MessageDlg('Mus bt vybrn sl !',mtWarning,[mbOk],0);exit;
 end;

AktSal:=server.Sal(lbsaly2.Items[lbsaly2.itemIndex]);
if AktSal=nil then
 begin
  MessageDlg('Sl nebyl nalezen v databzi !',mtWarning,[mbOk],0);exit;
 end;

if (sg.Selection.Top<1)or(sg.Cells[0,1]='')then
 begin
  MessageDlg('Mus bt vybrno pedstaven !',mtWarning,[mbOk],0);exit;
 end;

AktKPredstaveni:=server.KPredstaveniJedno(lbsaly2.Items[lbsaly2.itemIndex],
                  sg.Cells[0,sg.selection.top],StrToDateTime(sg.Cells[1,sg.selection.top]));

if AktKPredstaveni=nil then
 begin
  MessageDlg('Vybran pedstaven nen v databzi !',mtWarning,[mbOk],0);exit;
 end;

fkpr.ShowModal;
lbsaly2Click(nil);
server.SalyUloz;
end;


{tlacitko SMAZAT KONKRETNI PREDSTAVENI}
procedure Tfkino.Button12Click(Sender: TObject);
var ps:PSal;  pp:PKPredstaveni;
begin
if lbsaly2.ItemIndex<0 then
 begin
  MessageDlg('Mus bt vybrn sl !',mtWarning,[mbOk],0);exit;
 end;

ps:=server.Sal(lbsaly2.Items[lbsaly2.itemIndex]);
if ps=nil then
 begin
  MessageDlg('Sl nebyl nalezen v databzi !',mtWarning,[mbOk],0);exit;
 end;

if (sg.Selection.Top<1)or(sg.Cells[0,1]='')then
 begin
  MessageDlg('Mus bt vybrno pedstaven !',mtWarning,[mbOk],0);exit;
 end;

pp:=server.KPredstaveniJedno(lbsaly2.Items[lbsaly2.itemIndex],
sg.Cells[0,sg.selection.top],StrToDateTime(sg.Cells[1,sg.selection.top]));

if pp=nil then
 begin
  MessageDlg('Vybran pedstaven nen v databzi !',mtWarning,[mbOk],0);exit;
 end;

if MessageDlg('Opravdu si pejete smazat pedstaven "'+
    pp^.nazev+'" ?',mtConfirmation,[mbYes,mbNo],0)=mrNo
 then exit;

if not server.KPredstaveniSmazat(lbsaly2.Items[lbsaly2.itemIndex],
       sg.Cells[0,sg.selection.top],StrToDateTime(sg.Cells[1,sg.selection.top]))
then
 begin
  MessageDlg('Vybran pedstaven nen v databzi !',mtWarning,[mbOk],0);exit;
 end;

lbsaly2Click(nil);
server.SalyUloz;
end;





{tlacitko NOVY UZIVATEL}
procedure Tfkino.Button13Click(Sender: TObject);
begin
AktUzivatel:=nil;
fuziv.ShowModal;
server.UzivateleVsichni(lbuziv);
server.UzivateleUloz;
end;

{tlacitko UPRAVIT UZIVATELE}
procedure Tfkino.Button14Click(Sender: TObject);
begin
if lbuziv.ItemIndex<0 then
 begin
  MessageDlg('Nen vybrn dn uivatel !',mtWarning,[mbOk],0);exit;
 end;

AktUzivatel:=server.Uzivatel(lbuziv.Items[lbuziv.itemindex]);
if AktUzivatel=nil then
 begin
  MessageDlg('Vybran uivatel nen v databzi !',mtWarning,[mbOk],0);exit;
 end;
fuziv.ShowModal;
server.UzivateleVsichni(lbuziv);
server.UzivateleUloz;
end;

{tlacitko SMAZAT UZIVATELE}
procedure Tfkino.Button15Click(Sender: TObject);
begin
if lbuziv.ItemIndex<0 then
 begin
  MessageDlg('Nen vybrn dn uivatel !',mtWarning,[mbOk],0);exit;
 end;

if MessageDlg('Opravdu si pejete smazat uivatele "'+
    lbuziv.Items[lbuziv.itemindex]+'" ?',mtConfirmation,[mbYes,mbNo],0)=mrNo
 then exit;

if not server.UzivatelSmazat(lbuziv.Items[lbuziv.itemIndex]) then
 begin
  MessageDlg('Vybran uivatel nen v databzi !',mtWarning,[mbOk],0);exit;
 end;
server.UzivateleVsichni(lbuziv);
server.UzivateleUloz;
end;




{procedura, ktera se spusti pri startu programu}
procedure Tfkino.FormCreate(Sender: TObject);
var hs,hz:string;
    fi:TIniFile;  i:integer;
begin

try
fi:=TIniFile.Create(ExtractFilePath(ParamStr(0))+'kino2002.ini');
hs:=fi.ReadString('settings','heslo','');
SpinEdit1.Value:=fi.ReadInteger('settings','port',1024);
i:=fi.ReadInteger('settings','page',0)
finally
fi.Free;
end;

if i in[0..2]then PageControl1.ActivePageIndex:=i
else PageControl1.ActivePageIndex:=0;

hz:=InputBox('Kino 2002 - autorizace','Zadejte heslo: ','');
if hz<>hs then
 begin
  MessageDlg('patn heslo !'+#13+'Aplikace bude ukonena.',mtError,[mbOk],0);
  Application.Terminate;
 end;

server:=TServer.Vytvor;
server.UzivateleVsichni(lbuziv);
server.SalyVsechny(lbsaly);
server.SalyVsechny(lbsaly2);
server.SalyVsechny(lbsaly3);
server.PredstaveniVsechny(lbpred);

Znicit(oznacene);

AktUzivatel:=nil; AktPredstaveni:=nil; AktKPredstaveni:=nil; AktSal:=nil;

sg.Cells[0,0]:='nzev pedstaven';
sg.Cells[1,0]:='zatek';
sg.Cells[2,0]:='cena';

MonthCalendar1.Date:=now;

pz:=false;
end;




{tlacitko na zadani noveho hesla}
procedure Tfkino.Button16Click(Sender: TObject);
var f:TIniFile;
begin
try
f:=TIniFile.Create(ExtractFilePath(ParamStr(0))+'kino2002.ini');
f.WriteString('settings','heslo',eheslo.Text);
finally
f.Free;
end;
eheslo.Text:='';
end;


{zmena portu}
procedure Tfkino.SpinEdit1Change(Sender: TObject);
var f:TIniFile;
begin
if SpinEdit1.Value=ss.Port then exit;

ss.Active:=false;
ss.Port:=SpinEdit1.Value;
ss.Active:=true;
try
f:=TIniFile.Create(ExtractFilePath(ParamStr(0))+'kino2002.ini');
f.WriteInteger('settings','port',SpinEdit1.Value);
finally
f.Free;
end;
end;



{procedura, ktera se spusti tesne pred tim, nez se ukonci program}
procedure Tfkino.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
var f:TIniFile;
begin
canclose:=true;
server.UzivateleUloz;
server.SalyUloz;
try
f:=TIniFile.Create(ExtractFilePath(ParamStr(0))+'kino2002.ini');
f.WriteInteger('settings','page',PageControl1.ActivePageIndex);
{ostatni se meni hned pri zmene}
finally
f.Free;
end;
end;




{kliknuti na seznam salu na druhe zalozce}
procedure Tfkino.lbsalyClick(Sender: TObject);
var p:PSal;
begin

if lbsaly.ItemIndex<0 then exit; Znicit(oznacene);

p:=server.Sal(lbsaly.Items[lbsaly.itemindex]);

if p<>nil then
 begin
  pz:=true;
  sex.Value:=p^.x;
  sey.Value:=p^.y;
  pz:=false;
 end;

pb.Repaint;
end;


{tlacitko NOVY SAL}
procedure Tfkino.Button4Click(Sender: TObject);
var nn:string;
begin
nn:='';
lbsaly.ItemIndex:=-1;Znicit(oznacene); pb.Repaint;
if not InputQuery('Nov sl','Zadejte nzev novho slu:',nn)then exit;
if length(nn)<1 then
 begin
  MessageDlg('Pli krtk nzev !',mtWarning,[mbOk],0); exit;
 end;

if not server.SalPridat(nn,10,20)then
 begin
  MessageDlg('Sl s takovm nzvem ji existuje !',mtWarning,[mbOk],0); exit;
 end;

server.SalyVsechny(lbsaly);
server.SalyVsechny(lbsaly2);
server.SalyVsechny(lbsaly3);
server.SalyUloz;

server.OdeslatVsem(server.NapisSaly);
end;



{tlacitko SMAZAT SAL}
procedure Tfkino.Button3Click(Sender: TObject);
begin
if lbsaly.ItemIndex<0 then
 begin
  MessageDlg('Nen vybrn dn sl !',mtWarning,[mbOk],0);exit;
 end;

if MessageDlg('Opravdu si pejete smazat sl "'+
    lbsaly.Items[lbsaly.itemindex]+'" ?',mtConfirmation,[mbYes,mbNo],0)=mrNo
 then exit;

lbsaly.ItemIndex:=-1;Znicit(oznacene); pb.Repaint;

if not server.SalSmazat(lbsaly.Items[lbsaly.itemIndex]) then
 begin
  MessageDlg('Vybran sl nen v databzi !',mtWarning,[mbOk],0);exit;
 end;
server.SalyVsechny(lbsaly);
server.SalyVsechny(lbsaly2);
server.SalyVsechny(lbsaly3);
server.SalyUloz;

server.OdeslatVsem(server.NapisSaly);
end;



{tlacitko PREJMENOVAT SAL}
procedure Tfkino.Button2Click(Sender: TObject);
var n:string;
begin
if lbsaly.ItemIndex<0 then
 begin
  MessageDlg('Nen vybrn dn sl !',mtWarning,[mbOk],0);exit;
 end;

Znicit(oznacene); pb.Repaint;

n:=lbsaly.Items[lbsaly.itemindex];
if not InputQuery('Nov sl','Zadejte nzev novho slu:',n)then exit;

if not server.SalPrejmenovat(lbsaly.Items[lbsaly.itemindex],n) then
 begin
  MessageDlg('Nepodailo se pejmenovat !',mtWarning,[mbOk],0);exit;
 end;

server.SalyVsechny(lbsaly);
server.SalyVsechny(lbsaly2);
server.SalyVsechny(lbsaly3);
server.SalyUloz;

server.OdeslatVsem(server.NapisSaly);
end;




procedure Tfkino.pbPaint(Sender: TObject);
var i,ii,st,vt:integer; ss,vs,x,y:real;  t:string;
begin
pb.Canvas.Pen.Width:=2;
pb.Canvas.Pen.Color:=clBlue;
pb.Canvas.Brush.Style:=bsSolid;
pb.Canvas.Brush.Color:=clBlack;
pb.Canvas.Rectangle(1,1,pb.ClientWidth-1,pb.ClientHeight-1);

pb.Canvas.Pen.Width:=1;
pb.Canvas.Pen.Color:=clWhite;
pb.Canvas.Font.Name:='Arial';
pb.Canvas.Font.Size:=14;
pb.Canvas.Font.Color:=clWhite;
pb.Canvas.Brush.Color:=clBlue;
t:='promtac pltno'; st:=pb.Canvas.TextWidth(t); vt:=pb.Canvas.TextHeight(t);

pb.Canvas.Rectangle((pb.ClientWidth-st)div 2-2,250-vt div 2-1,
                    (pb.ClientWidth+st)div 2+2,250+vt div 2+1);

pb.Canvas.TextOut((pb.ClientWidth-st)div 2,250-vt div 2,t);

if lbsaly.ItemIndex<0 then exit;

ss:=(pb.ClientWidth-20)/(sex.Value+(sex.Value-1)/2);
vs:=220/(sey.Value+(sey.Value-1)/2);

x:=10;
for i:=1 to sex.Value do
 begin
  y:=10;
  for ii:=1 to sey.Value do
   begin
    if server.SalExistNeex(lbsaly.Items[lbsaly.itemIndex],i,ii)then
     pb.Canvas.Brush.Color:=clBlack else pb.Canvas.Brush.Color:=clGreen;
    if JeOznacene(i,ii)then
     pb.Canvas.Pen.Color:=clRed else pb.Canvas.Pen.Color:=clWhite;
    pb.Canvas.Rectangle(Round(x),Round(y),Round(x+ss),round(y+vs));
    y:=y+vs*1.5
   end;
  x:=x+ss*1.5;
 end;
end;



procedure Tfkino.pbMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var ss,vs,rx,ry:real; ps:PSal; psed,pr:PSedadlo;  sx,sy:integer;
begin
if lbsaly.ItemIndex<0 then exit;

ss:=(pb.ClientWidth-20)/(sex.Value+(sex.Value-1)/2);
vs:=220/(sey.Value+(sey.Value-1)/2);

x:=x-10;
sx:=Trunc(x/(ss+ss/2))+1;
{if (x mod Round(ss+ss/2))>ss then exit;}
rx:=x;
while rx>(ss+ss/2)do rx:=rx-(ss+ss/2);
if rx>ss then exit;

y:=y-10;
sy:=Trunc(y/(vs+vs/2))+1;
{if (y mod Round(vs+vs/2))>vs then exit;}
ry:=y;
while ry>(vs+vs/2)do ry:=ry-(vs+vs/2);
if ry>vs then exit;


ps:=server.Sal(lbsaly.Items[lbsaly.itemIndex]);    if ps=nil then exit;
if (sx>ps^.x)or(sy>ps^.y)then exit;

if JeOznacene(sx,sy)then
 begin {odoznaceni}
  pr:=nil;psed:=oznacene;
  while (psed^.x<>sx)and(psed^.y<>sy) do begin pr:=psed;psed:=psed^.dalsi;end;
  if pr=nil then  begin oznacene:=psed^.dalsi; dispose(psed);end
            else  begin pr^.dalsi:=psed^.dalsi; dispose(psed);end;
 end
else
 begin {oznaceni}
  New(psed);psed^.x:=sx;psed^.y:=sy; psed^.dalsi:=oznacene; oznacene:=psed;
 end;

pb.Repaint;
end;


{tlacitko NASTAVIT NA NEEXISTUJICI}
procedure Tfkino.Button5Click(Sender: TObject);
var akt:PSedadlo;
begin
if lbsaly.ItemIndex<0 then exit;
akt:=oznacene;
while akt<>nil do
 begin
  server.SalPridatNeex(lbsaly.Items[lbsaly.itemIndex],akt^.x,akt^.y);
  akt:=akt^.dalsi;
 end;
Znicit(oznacene);
pb.Repaint;
server.SalyUloz;
end;


{tlacitko NASTAVIT NA EXISTUJICI}
procedure Tfkino.Button6Click(Sender: TObject);
var akt:PSedadlo;
begin
if lbsaly.ItemIndex<0 then exit;
akt:=oznacene;
while akt<>nil do
 begin
  server.SalSmazatNeex(lbsaly.Items[lbsaly.itemIndex],akt^.x,akt^.y);
  akt:=akt^.dalsi;
 end;
Znicit(oznacene);
pb.Repaint;
server.SalyUloz;
end;


{tlacitko ZRUSIT OZNACENI}
procedure Tfkino.Button17Click(Sender: TObject);
begin
Znicit(oznacene);
pb.Repaint;
end;


{zmena udaje nejakeho SpinEditu na nastaveni rozmeru salu}
procedure Tfkino.seyChange(Sender: TObject);
begin
if pz then exit;

if lbsaly.ItemIndex<0 then
 begin
  MessageDlg('Nen vybrn dn sl !',mtWarning,[mbOk],0);exit;
 end;

if not server.SalRozmery(lbsaly.Items[lbsaly.itemIndex],sex.Value,sey.Value)then
 begin
  MessageDlg('Nepodailo se zmnit rozmry slu !',mtWarning,[mbOk],0);exit;
 end;

pb.Repaint;

end;


{client se poprve ohlasi}
procedure Tfkino.ssAccept(Sender: TObject; Socket: TCustomWinSocket);
begin
socket.SendText('login=\');
end;


{client se odpojil}
procedure Tfkino.ssClientDisconnect(Sender: TObject;
  Socket: TCustomWinSocket);
var p:PUzivatel;
begin
p:=server.Uzivatel(socket);
if p<>nil then p^.socket:=nil;
end;

{nastala chyba}
procedure Tfkino.ssClientError(Sender: TObject; Socket: TCustomWinSocket;
  ErrorEvent: TErrorEvent; var ErrorCode: Integer);
var p:PUzivatel;
begin
ErrorCode:=0;
socket.SendText('error=\');
socket.Close;

p:=server.Uzivatel(socket);  if p<>nil then p^.socket:=nil;
end;


procedure Tfkino.ssClientRead(Sender: TObject; Socket: TCustomWinSocket);
var prijato,typ,par:string; zpravy,akt:PString; 
begin
prijato:=socket.ReceiveText;

while Length(prijato)>0 do
begin
zpravy:=RozdelNaZpravy(prijato);
akt:=zpravy;
while akt<>nil do
 begin
  DekodujZpravu(akt^.s,typ,par);
  ProvedPrikaz(typ,par,socket);
  akt:=akt^.dalsi;
 end;
prijato:=socket.ReceiveText;
end;
Znicit(zpravy);
end;



procedure Tfkino.lbpredDblClick(Sender: TObject);
begin
Button8Click(nil);
end;

procedure Tfkino.sgDblClick(Sender: TObject);
begin
Button11Click(nil);
end;


{kliknuti na seznam konkretnich predstaveni}
procedure Tfkino.sgClick(Sender: TObject);
var s:string; i:integer;
begin
if (sg.Selection.Top<1)or(sg.Cells[0,1]='')then exit;

s:=sg.Cells[0,sg.selection.top];
i:=lbpred.Items.IndexOf(s);
if i<0 then exit;
lbpred.ItemIndex:=i;
lbpredClick(nil);
sg.SetFocus;
end;


{tlacitko TISKNI na treti zalozce}
procedure Tfkino.Button18Click(Sender: TObject);
var aktsal:PSal;  den,mesic,rok:word;  s:string;
begin
if rgtisk.ItemIndex<0 then exit;
if (rgtisk.ItemIndex=1)and(lbsaly3.ItemIndex<0)then exit;

DecodeDate(MonthCalendar1.Date,rok,mesic,den);
if RadioButton2.Checked then den:=0;

re.Lines.Clear;
re.Font.Name:='Arial';re.Font.Color:=clBlack;re.Font.Size:=16;re.Font.Style:=[];
re.SelAttributes.Name:='Arial';re.SelAttributes.Color:=clBlack;re.SelAttributes.Size:=16;re.SelAttributes.Style:=[];
re.Lines.Add('');
re.SelAttributes.Size:=20;
re.SelAttributes.Style:=[fsBold];

case mesic of
1:s:='leden'; 2:s:='nor'; 3:s:='bezen'; 4:s:='duben'; 5:s:='kvten';
6:s:='erven'; 7:s:='ervenec'; 8:s:='srpen'; 9:s:='z'; 10:s:='jen';
11:s:='listopad'; 12:s:='prosinec';
end;
re.SelAttributes.Size:=18;
re.SelAttributes.Style:=[];
if den=0 then re.Lines.Add('Program na '+s+' '+IntToStr(rok))
 else re.Lines.Add('Program na '+IntToStr(den)+'. '+s+' '+IntToStr(rok));

aktsal:=server.saly;
while aktsal<>nil do
 begin
  if rgtisk.ItemIndex=0 then
   begin {cele kino}
    TiskniSal(aktsal^.nazev,den,mesic,rok);
   end
  else
   begin {jeden sal}
    if aktsal^.nazev=lbsaly3.Items[lbsaly3.ItemIndex]then
     TiskniSal(aktsal^.nazev,den,mesic,rok);
   end; 
  aktsal:=aktsal^.dalsi;
 end;

re.Print('Kino 2002 - program');
end;




procedure Tfkino.TiskniPredstaveni(par:TKPredstaveni);
var pp:PPredstaveni;
begin
{vytiskne zacatek,zanr,nazev,popis,poznamka,delka,cena}

pp:=server.PredstaveniJedno(par.nazev); if pp=nil then exit;

re.SelAttributes.Size:=10; re.SelAttributes.Style:=[]; re.Lines.Add('');
re.Lines.Add(DateToStr(par.zacatek)+' - '+TimeToStr(par.zacatek));
re.Lines.Add(pp^.zanr);
re.SelAttributes.Size:=14; re.SelAttributes.Style:=[fsBold];
re.Lines.Add(par.nazev);

re.SelAttributes.Size:=11; re.SelAttributes.Style:=[];
re.Lines.Add(pp^.popis);
re.Lines.Add('Poznmka: '+pp^.poznamka);

re.SelAttributes.Size:=12;
re.Lines.Add('Dlka: '+pp^.delka);
re.Lines.Add('Vstupn: '+par.cena+'K');

end;



procedure Tfkino.TiskniSal(ns:string; d,m,r:word);
var i,mez,nejm:integer; p:array of TKPredstaveni; pkp:PKPredstaveni; ps:PSal;
    kp,kp2:TKPredstaveni; de,me,ro:word;
begin
{vytvori si seznam predstaveni v tomto sale a seradi si ho podle zacatku
pak vytiskne nazev salu, mezeru, vsechna predstaveni a mezi nima mezery}

SetLength(p,0);
ps:=server.Sal(ns); if ps=nil then exit;
pkp:=ps^.kpred;

while pkp<>nil do
 begin
  DecodeDate(pkp^.zacatek,ro,me,de);
  if d=0 then
   begin
     if (m=me)and(r=ro)then
      begin
       SetLength(p,length(p)+1);
       p[length(p)-1]:=pkp^;
      end;
   end
  else
   begin
     if (m=me)and(r=ro)and(d=de)then
      begin
       SetLength(p,length(p)+1);
       p[length(p)-1]:=pkp^;
      end;
   end;
  pkp:=pkp^.dalsi;
 end;

re.SelAttributes.Size:=22;
re.SelAttributes.Style:=[];
re.Lines.Add('');
re.SelAttributes.Size:=20;
re.SelAttributes.Style:=[fsBold];
re.Lines.Add(ns);
if length(p)<=0 then
 begin
  re.SelAttributes.Size:=14; re.SelAttributes.Style:=[];
  re.Lines.Add('dn pedstaven');
  exit;
 end;

{serazeni primym vyberem}
for mez:=0 to length(p)-2 do
 begin
  nejm:=mez;
  for i:=mez+1 to length(p)-1 do
   if p[i].zacatek<p[nejm].zacatek then nejm:=i;
  kp:=p[nejm];
  kp2:=p[mez]; p[nejm]:=kp2;
  p[mez]:=kp;
 end;     
{end of serazeni}

for i:=0 to length(p)-1 do  TiskniPredstaveni(p[i]);
end;



procedure Tfkino.FormDestroy(Sender: TObject);
begin
server.Znic;
Znicit(oznacene);
end;



{kliknuti na seznam salu na prvni zalozce}
procedure Tfkino.lbsaly2Click(Sender: TObject);
begin
sg.RowCount:=2;
sg.Cells[0,1]:=''; sg.Cells[1,1]:=''; sg.Cells[2,1]:='';
if lbsaly2.ItemIndex<0 then exit;
server.KPredstaveniVsechny(lbsaly2.Items[lbsaly2.ItemIndex],sg);
end;

end.
