unit uvpr;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ValEdit, StdCtrls, ExtCtrls, ukino;

type
  Tfvpr = class(TForm)
    enazev: TLabeledEdit;
    ezanr: TLabeledEdit;
    epoznamka: TLabeledEdit;
    edelka: TLabeledEdit;
    Label1: TLabel;
    mpopis: TMemo;
    Button1: TButton;
    Button2: TButton;
    Bevel1: TBevel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fvpr: Tfvpr;

implementation

uses Userver;

{$R *.dfm}

procedure Tfvpr.Button1Click(Sender: TObject);
var i:integer; s:string;
begin
if length(enazev.Text)<1 then
 begin
  MessageDlg('Pli krtk nzev !',mtWarning,[mbOK],0);exit;
 end;

if server.NepovolenyZnak(enazev.Text)then
 begin
  MessageDlg('Nzev obsahuje nepovolen znaky !',mtError,[mbOk],0);
  enazev.SetFocus; exit;
 end;
if server.NepovolenyZnak(ezanr.Text)then
 begin
  MessageDlg('nr obsahuje nepovolen znaky !',mtError,[mbOk],0);
  ezanr.SetFocus; exit;
 end;
if server.NepovolenyZnak(edelka.Text)then
 begin
  MessageDlg('Dlka obsahuje nepovolen znaky !',mtError,[mbOk],0);
  edelka.SetFocus; exit;
 end;
if server.NepovolenyZnak(epoznamka.Text)then
 begin
  MessageDlg('Poznmka obsahuje nepovolen znaky !',mtError,[mbOk],0);
  epoznamka.SetFocus; exit;
 end;

s:=''; for i:=0 to mpopis.Lines.Count-1 do
 begin if i<>0 then s:=s+#10+#13+' '; s:=s+mpopis.Lines[i];end;

if server.NepovolenyZnak(s)then
 begin
  MessageDlg('Popis obsahuje nepovolen znaky !',mtError,[mbOk],0);
  mpopis.SetFocus; exit;
 end;

if AktPredstaveni=nil then
 begin
  if not server.PredstaveniPridat(enazev.Text,ezanr.Text,edelka.Text,s,
         epoznamka.Text)then
   begin
    MessageDlg('Pedstaven s takovm jmnem ji existuje !',mtError,[mbOk],0);
    enazev.SetFocus; exit;
   end;
 end
else
 begin
  if not server.PredstaveniUpravit(AktPredstaveni^.nazev,enazev.Text,
         ezanr.Text,edelka.Text,s,epoznamka.Text)then
   begin
    MessageDlg('Pedstaven s takovm jmnem ji existuje !',mtError,[mbOk],0);
    enazev.SetFocus; exit;
   end;
 end;
fkino.lbsaly2Click(nil);
fvpr.Close;
end;

procedure Tfvpr.Button2Click(Sender: TObject);
begin
fvpr.Close;
end;

procedure Tfvpr.FormShow(Sender: TObject);
begin
enazev.SetFocus;
if AktPredstaveni=nil then
 begin
  fvpr.Caption:='Pedstaven - nov';
  enazev.Text:=''; ezanr.Text:=''; edelka.Text:=''; epoznamka.Text:='';
  mpopis.Clear;
 end
else
 begin
  fvpr.Caption:='Pedstaven - prava'; 
  enazev.Text:=AktPredstaveni^.nazev;
  ezanr.Text:=AktPredstaveni^.zanr;
  edelka.Text:=AktPredstaveni^.delka;
  epoznamka.Text:=AktPredstaveni^.poznamka;
  mpopis.Lines.Clear; mpopis.Lines.Add(AktPredstaveni^.popis);
 end;
end;

procedure Tfvpr.FormClose(Sender: TObject; var Action: TCloseAction);
begin
AktPredstaveni:=nil;
end;

end.
